%define		gitdate 070104

Name:		xorg-x11-server-Xgl
Version:	0.0.1
Release:	%{gitdate}.6%{?dist}
Summary:	Xserver that uses OpenGL for its drawing operations
Provides:	Xgl
License:	X11/MIT
URL:		http://www.freedesktop.org/Software/Xgl
Group:		User Interface/X

BuildRequires:	libX11-devel libXfont-devel libXrandr-devel libXrender-devel
BuildRequires:	libXt-devel libfontenc-devel libdrm-devel libxkbui-devel
BuildRequires:	libXaw-devel libXpm-devel freetype-devel xorg-x11-xtrans-devel
BuildRequires:	libxkbfile-devel libXext-devel libXxf86misc-devel libXxf86vm-devel
BuildRequires:	xorg-x11-proto-devel >= 7.1-9 xorg-x11-util-macros libXtst-devel
BuildRequires:	libXres-devel glitz-glx-devel libdmx-devel mesa-source >= 6.5.2
BuildRequires:	libselinux-devel libtool libXinerama-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# git clone git://anongit.freedesktop.org/git/xorg/xserver
#
# cd xserver
# git-archive --format=tar --prefix=xorg-x11-server-Xgl/ origin/xgl-0-0-1 | bzip2 \
#	> ~/rpmbuild/SOURCES/xorg-x11-server-Xgl/xorg-x11-server-Xgl-0.0.1-%{gitdate}.tar.bz2
#
# cd xserver
# git-checkout -b origin/xgl-0-0-1
# rm -fr .git

Source0:    xorg-x11-server-Xgl-%{version}-%{gitdate}.tar.bz2
NoSource:   0
Source2:    README.Fedora

Patch1000:  xorg-redhat-die-ugly-pattern-die-die-die.patch
Patch1001:  selinux-awareness.patch
# Suse patches
Patch1004:  xgl-java-wmhack.diff
Patch1005:  xgl-maprules-tolower-fix.diff
Patch1006:  composite-avoid-frame-buffer-reads.patch
# Suse patches for Mesa 6.5.2
Patch1007:  xgl-glxext-call-lists.diff
Patch1008:  xgl-glxext-mesa652-glapi-table.diff
Patch1009:  xgl-glx-reset.diff
Patch1010:  xorg-mesa-delete-textures.diff

%description
Xgl is an Xserver that uses OpenGL for its drawing operations. Some
operations like antialiased font rendering is noticably faster with
this technology, and future graphics hardware might only have support
for 3D operations and no 2D core any more.

Note that this is highly experimental code, it has been tested only on
few hardware platforms, and depending on driver state it may even crash
your computer. But you like danger, dontcha? That's right.

%prep
%setup -q -n %{name}

%patch1000 -p0 -b .redhat-die-ugly-pattern-die-die-die
%patch1001 -p1 -b .selinux-awareness
%patch1004 -p0 -b .xgl-java-wmhack
%patch1005 -p0 -b .xgl-maprules-tolower-fix
%patch1006 -p1 -b .composite-avoid-frame-buffer-reads
%patch1007 -p1 -b .xgl-glxext-call-lists
%patch1008 -p1 -b .xgl-glxext-mesa652-glapi-table
%patch1009 -p1 -b .xgl-glx-reset
%patch1010 -p1 -b .xorg-mesa-delete-textures

autoreconf -v --install

%build

%configure \
	--sysconfdir=/etc/X11 \
	--enable-install-setuid \
	--with-default-font-path="unix/:7100" \
	--with-fontdir=%(pkg-config --variable=fontdir fontutil) \
	--with-xkb-output=%{_localstatedir}/lib/xkb \
	--with-mesa-source=%{_datadir}/mesa/source \
	--with-release-snap=1 \
	--disable-dmx \
	--disable-xorg \
	--disable-xprint \
	--disable-xvfb \
	--disable-xnest \
	--disable-kdrive \
	--disable-builddocs \
	--enable-xinerama \
	--enable-dri \
	--enable-glx \
	--enable-xgl \
	--enable-xglx

%{__make} %{?_smp_mflags}

%install
%{__make} -s DESTDIR=$RPM_BUILD_ROOT install
%{__install} -m 0644 %{SOURCE2} $RPM_BUILD_DIR/%{name}
%{__rm} -fr $RPM_BUILD_ROOT/usr/man
%{__rm} -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig
%{__rm} -rf $RPM_BUILD_ROOT%{_libdir}/xserver
%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}
%{__rm} -rf $RPM_BUILD_ROOT%{_localstatedir}/lib/xkb/README.compiled

%files
%defattr(-, root, root)
%doc README.Fedora
%attr(4711, root, root) %{_bindir}/Xgl
%{_libdir}/xorg/modules/xgl/

%changelog
* Fri Jun 01 2007 Simone Caronni <slaanesh@fastwebnet.it> 0.0.1-070104.6.sla
- Added Mesa 6.5.2 patches from Suse packages.
- Rebuilt for Fedora 7 with new Mesa.

* Wed Mar 21 2007 Simone Caronni <slaanesh@fastwebnet.it> 0.0.1-070104.5.sla
- Updated install section, BuildRequires.
- Updated source name and comment to generate the archive from git.
- Updated configure section.
- Merged READMEs.

* Mon Mar 05 2007 Simone Caronni <slaanesh@fastwebnet.it> 0.0.1-070104.4.sla
- Added README.sla which contains configuration to start Xgl as display :0
  in both GDM and KDM and Xinerama configuration.

* Mon Feb 26 2007 Simone Caronni <slaanesh@fastwebnet.it> 0.0.1-070104.3.sla
- Added Suse patch for Intel/ATI drivers.
- Switched to dist for release.

* Tue Feb 20 2007 Simone Caronni <slaanesh@fastwebnet.it> 0.0.1-070104.2.sla
- Added Suse patches.
- Use rpm macro configure, move autoreconf into prep section.
- Updated selinux patch, Suse README.
- Fixed BuildRequires.

* Tue Oct 17 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.0.1-061002git.1.sla
- Updated to latest git with Xinerama support.
- Patched for Mesa changes.

* Mon Sep 18 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.0.1-060908git.1.sla
- Updated to latest git.

* Thu Aug 24 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.0.1-060809git.1.sla
- Updated to latest git.
- Removed Xinerama patch as Multi Head support included upstream (-scrns option).
- Fixed typo.

* Tue Aug 22 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.0.1-060618git.2.sla
- Renamed spec file and revision with git in it.
- Added selinux-awareness patch from FC6 xorg-x11-server for Mesa 6.5-22.
- Added Xinerama patch.

* Tue Jul 04 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.0.1-060618.1.sla
- Updated to latest git xgl-0-0-1 snapshot.
- Use autogen.sh and not configure, changed a bit parameters.
- Updated build requirements on xorg-x11-proto-devel 7.1.

* Wed Jun 14 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.0.1-060531.2.sla
- Updated to use Fedora Extras glitz packages.

* Wed May 31 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.0.1-060531-1.sla
- Latest cvs.

* Fri May 23 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.0.1-060519-1.sla
- Latest CVS xgl-0.0.1 branch
- Fixed server permissions.
- Black pattern upon startup.

* Mon May 15 2006 Simone Caronni <slaanesh@fastwebnet.it> 1.1.99.1-060515-1.sla
- Updated to latest OpenSUSE snapshot, requires Mesa 6.5.1 from CVS.

* Mon May 08 2006 Simone Caronni <slaanesh@fastwebnet.it> 1.1.99.1-060407.1.sla
- Updated to latest OpenSUSE snapshot.
- Added include files.

* Thu Apr 13 2006 Simone Caronni <slaanesh@fastwebnet.it> 1.0.2-1.sla
- Updated to 1.0.2, requires updated mesa, glitz and protocols.

* Thu Feb 23 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.1-2
- fix RGB path, font path

* Tue Feb 21 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.1-1
- initial package (from really ugly ugly SuSE package)
